﻿//==========================================================
// 
// File: Interest.cs         
// 
// -------------------- 
// Το πρόγραμμα αυτό υπολογίζει κεφάλαιο συν τόκους.
//==========================================================
using System;
using System.Windows.Forms;

class Interest
{
    static void Main(string[] args)
    {
        decimal amount, principal = (decimal)1000.00;
        double rate = .05;
        string output;

        output = "Year\tAmount on deposit\n";

        for (int year = 1; year <= 10; year++)
        {
            amount = principal *
                  (decimal)Math.Pow(1.0 + rate, year);

            output += year + "\t" +
                  String.Format("{0:C}", amount) + "\n";
        }

        MessageBox.Show(output, // arg1: string to be displayed
                         "Compound Interest", // arg2: title
                         MessageBoxButtons.OK, // button
                         MessageBoxIcon.Information // icon
                       );

    } // end method Main

} // end class Interest
