﻿//==========================================================
// 
// File: IntLargest.cs        CS112 Demo
// 
// -------------------- 
// This program reads a sequence of numbers. Print the largest 
// number. 
//==========================================================

using System;

class IntLargest
{
    static void Main(string[] args)
    {
        int max;    // the largest number 
        int input = 0, count = 0;

        Console.WriteLine("This program finds the largest integer in a list.");
        Console.WriteLine("Enter 0 to signal the end of the list.");

        Console.Write("? "); // get the first input

        // set the initial state
        // a different feasibility is the following:
        // max = Int32.MinValue;

        max = input = Int32.Parse(Console.ReadLine());

        while (input != 0)  // 0 is not considered to a possible input
        {
            if (input >= max)  // 
            {
                max = input;    // new input becomes max
            }

            count++; // keep track the number of inputs                

            Console.Write("? "); // get next input
            input = Int32.Parse(Console.ReadLine());
        } // while

        // output result
        if (count < 1)
        {
            Console.WriteLine("Warning: Your input less than 1 numbers.");
            Console.WriteLine("         The value of largest is not well defined.");
        }
        else
            Console.WriteLine("The largest value is: " + max);

        Console.ReadKey();
    } // end of method Main

} // end of class

