﻿//==========================================================
// 
// File: IntSnd.cs
// 
// -------------------- 
// Το πρόγραμμα αυτό διαβάζει αριθμούς  και εκτυπώνει τον 
// δεύτερο μεγαλύτερο. Ο δεύτερος μςγαλύτερος ορίζεται ως εξής: 
// ταξινομούμε τους αρθμούς σε αύξουσα σειρά. Ο ζητούμενος αριθμός είναι στη δεύτερη θέση. 
//
//==========================================================

using System;

class IntSnd
{
    static void Main(string[] args)
    {
        int max, smax;    // the largest and second largest number 
        int input = 0, count = 0;

        Console.WriteLine("This program finds the second largest integer in a list.");
        Console.WriteLine("Enter 0 to signal the end of the list.");

        // set initial state. It is always correct that the initial
        // max and smax will be Int32.MinValue; compare with IntLargest
        max = smax = Int32.MinValue;

        Console.Write("? "); // get the first input
        input = Int32.Parse(Console.ReadLine());

        while (input != 0)  // 0 is not considered to be a possible input
        {
            //  -------    -------
            // | max   |  | smax  |
            //  -------    -------
            //  ^        ^
            //  case 1   case 2
            if (input >= max)  // case 1: shift to the right
            {
                smax = max;     // old max becomes smax
                max = input;    // new input becomes max
            }
            else
                if (input > smax) // case 2
                    smax = input;

            count++; // keep track the number of inputs                

            Console.Write("? "); // get next input
            input = Int32.Parse(Console.ReadLine());
        } // while

        // output result
        if (count < 2)
        {
            Console.WriteLine("Warning: Your input less than 2 numbers.");
            Console.WriteLine("         The value of second largest is not well defined.");
        }
        else
            Console.WriteLine("The second largest value is: " + smax);

        Console.ReadKey();
    } // end of method Main

} // end of class
